## org.apache.lucene.codecs.mocksep
Class MockSingleIntFactory

    java.lang.Object
      org.apache.lucene.codecs.sep.IntStreamFactory
          org.apache.lucene.codecs.mocksep.MockSingleIntFactory

    public class MockSingleIntFactory

extends IntStreamFactory

Encodes ints directly as vInts with `MockSingleIntIndexOutput`

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`MockSingleIntFactory()`

Method Summary
`IntIndexOutput` `createOutput(Directory dir, String fileName, IOContext context)`
`IntIndexInput` `openInput(Directory dir, String fileName, IOContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockSingleIntFactory

    public MockSingleIntFactory()

Method Detail

### openInput

    public IntIndexInput openInput(Directory dir,
                                   String fileName,
                                   IOContext context)
                            throws IOException

  Specified by:
    `openInput` in class `IntStreamFactory`
  Throws:
    `IOException`

### createOutput

    public IntIndexOutput createOutput(Directory dir,
                                       String fileName,
                                       IOContext context)
                                throws IOException

  Specified by:
    `createOutput` in class `IntStreamFactory`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.